# Algotom
##### Data processing **ALGO**rithms for **TOM**ography.

**Algotom** is the Python implementations of methods used for processing tomographic
data acquired by scanning techniques; which extend the field-of-view of a parallel-beam
tomography system; such as grid scans, helical scans, or haft-acquisition scans . The methods 
cover the full pipeline of data processing: reading-writing data, pre-processing, tomographic 
reconstruction, and post-processing.

#### Author

Nghia T. Vo - *Diamond Light Source*  

#### How to install

- Download or `git clone` the source code to a local folder.
- Download and install Miniconda software: https://docs.conda.io/en/latest/miniconda.html
- Open Linux terminal or Windows command prompt and run the following commands:
    
    `conda create -n algotom python=3.7`
    
    `conda activate algotom`
    
    `cd <path-to-source-code>`
    
    `python setup.py install`
 
 #### How to use
 Examples of how to use the package are in the "/examples" folder.